net.sf.okapi.lib.xliff2.core

## Class PCont

- java.lang.Object
- - net.sf.okapi.lib.xliff2.core.PCont

-     public class PCont
      extends java.lang.Object

  Represents the standalone tag of a protected content.

  A protected content is a span of content (that may include code or marker tags) that is temporarily folded into a tag reference to prevent the content to be modified.

  See `Unit.hideProtectedContent()` and `Unit.showProtectedContent()`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codedText`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PCont()` Creates an empty `PCont` object.
    `PCont(PCont original)` Copy constructor.
    `PCont(java.lang.String codedText)` Creates a new protected content marker with a given coded text.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodedText()` Gets the coded text for this protected content.
    `void` | `setCodedText(java.lang.String codedText)` Sets the coded text for this protected content.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codedText

          protected java.lang.String codedText

  - ### Constructor Detail

    - #### PCont

          public PCont()

      Creates an empty `PCont` object.

    - #### PCont

          public PCont(PCont original)

      Copy constructor.
      Parameters:
        `original` - the original object to duplicate.

    - #### PCont

          public PCont(java.lang.String codedText)

      Creates a new protected content marker with a given coded text.
      Parameters:
        `codedText` - the span of coded text to protect.

  - ### Method Detail

    - #### getCodedText

          public java.lang.String getCodedText()

      Gets the coded text for this protected content. The corresponding markers are in the store.
      Returns:
        the coded text for this protected content.

    - #### setCodedText

          public void setCodedText(java.lang.String codedText)

      Sets the coded text for this protected content.
      Parameters:
        `codedText` - the new coded text.